import { Component } from '@angular/core';
import { RouterOutlet } from '@angular/router';
import { AnimationRouteComponent, slideInAnimation } from '../../../animations';

@Component({
  selector: 'app-risk-control',
  standalone: true,
  imports: [RouterOutlet],
  animations: [slideInAnimation],
  template: `<div class="relative" [@routeAnimations]="animationRoute(outletInfo)">
    <router-outlet #outletInfo="outlet"></router-outlet>
  </div>`,
})
export class RiskControlComponent extends AnimationRouteComponent {}
