import { Component } from '@angular/core';
import { CommonNzModule } from '../../../../../common.nz.module';

export interface Plan {
  title: string;
  time: string;
  status: string;
}

@Component({
  selector: 'workbench-my-plan',
  standalone: true,
  imports: [CommonNzModule],
  templateUrl: './my-plan.component.html',
  styleUrl: './my-plan.component.less',
})
export class MyPlanComponent {
  // 当前选中的tab
  activeTab = '今日计划';
  tabs = ['今日计划', '周计划', '月计划'];
  items = [
    { label: '日常隐患排查', count: 0 },
    { label: '综合性隐患排查', count: 1 },
    { label: '其他隐患排查', count: 0 },
  ];
  // plans = {
  //   daily: 0,
  //   comprehensive: 0,
  //   other: 0,
  // };
}
