import { Component, Input } from '@angular/core';

@Component({
  selector: 'radio-item',
  standalone: true,
  imports: [],
  templateUrl: './radio-item.component.html',
  styleUrl: './radio-item.component.less',
})
export class RadioItemComponent {
  @Input() checked = false;
  @Input() label = '';
  @Input() value!: number;
  @Input() showValue = true;
  @Input() color = '';
}
