import { CommonModule } from '@angular/common';
import { Component, Input } from '@angular/core';
import { scaleInOut } from '../../../../../common.animation';

@Component({
  selector: 'panel-notification',
  standalone: true,
  imports: [CommonModule],
  templateUrl: './panel-notification.component.html',
  styleUrl: './panel-notification.component.less',
  animations: [scaleInOut],
})
export class PanelNotificationComponent {
  @Input() preText = '';
  @Input() number = 0;
  @Input() postText = '';
}
