import { Routes } from '@angular/router';

export const userRoutes: Routes = [
  {
    path: 'index',
    loadComponent: () => import('./user.component').then(m => m.UserActualComponent),
    data: {
      title: '用户管理',
      icon: 'icons:user-fill',
      weight: 1,
    },
  },
  {
    path: 'shift-group',
    loadComponent: () => import('./shift-group/shift-group.component').then(m => m.ShiftGroupComponent),
    data: {
      title: '班组管理',
      icon: 'icons:users-fill',
      weight: 1,
    },
  },
  { path: '', pathMatch: 'full', redirectTo: 'index' },
];
