import { Component, Input } from '@angular/core';

export interface Flow {
  category: string;
  title: string;
  time: string;
  status: string;
  creator: string;
}

@Component({
  selector: 'workbench-my-flow-item',
  standalone: true,
  imports: [],
  templateUrl: './my-flow-item.component.html',
  styleUrl: './my-flow-item.component.less',
})
export class MyFlowItemComponent {
  @Input() data!: Flow;
}
